mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

The enumeration represents the day of the week in calendars that have seven days per week. The value of the constants in this enumeration ranges from to . If cast to an integer, its value ranges from zero (which indicates ) to six (which indicates ).

This enumeration is useful when it is desirable to have a strongly typed specification of the day of the week. For example, this enumeration is the type of the property value for the property.

The members of the enumeration are not localized. To return the localized name of the day of the week, call the or the method with either the "ddd" or "dddd" format strings. The former format string produces the abbreviated weekday name; the latter produces the full weekday name.

Specifies the day of the week.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DayOfWeek To be added

  Indicates Friday.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DayOfWeek To be added

  Indicates Monday.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DayOfWeek To be added

  Indicates Saturday.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DayOfWeek To be added

  Indicates Sunday.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DayOfWeek To be added

  Indicates Thursday.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DayOfWeek To be added

  Indicates Tuesday.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DayOfWeek To be added

  Indicates Wednesday.